Bug 593159 - AVC errors reported against tcpdump
AVC errors reported against tcpdump
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
Milos Malik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-17 22:15 EDT by Ian Kent
Modified: 2012-10-09 04:09 EDT (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-32.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:34:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Kent 2010-05-17 22:15:09 EDT
Description of problem:

A couple of autofs RHTS regression tests are getting avc fails
due to tcpdump.

This has been happening for a while and doesn't appear to affect
the actual test outcome.

Is there something I should be doing to prevent these?

The messages I'm getting are:

/sbin/ausearch -sv no -m AVC -m USER_AVC -m SELINUX_ERR -ts 5/17/2010 19:3:1
----
time->Mon May 17 19:03:29 2010
type=SYSCALL msg=audit(1274137409.216:163825): arch=40000003 syscall=102 success=no exit=-97 a0=1 a1=bfc66930 a2=9ceb88 a3=bfc66a7c items=0 ppid=6737 pid=2458 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="tcpdump" exe="/usr/sbin/tcpdump" subj=system_u:system_r:netutils_t:s0 key=(null)
type=AVC msg=audit(1274137409.216:163825): avc:  denied  { module_request } for  pid=2458 comm="tcpdump" kmod="net-pf-31" scontext=system_u:system_r:netutils_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=system
----
time->Mon May 17 19:03:29 2010
type=SYSCALL msg=audit(1274137409.217:163826): arch=40000003 syscall=5 success=no exit=-13 a0=bfc657cc a1=8000 a2=0 a3=9dfd930 items=0 ppid=6737 pid=2458 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="tcpdump" exe="/usr/sbin/tcpdump" subj=system_u:system_r:netutils_t:s0 key=(null)
type=AVC msg=audit(1274137409.217:163826): avc:  denied  { read } for  pid=2458 comm="tcpdump" name="usbmon1" dev=devtmpfs ino=5120 scontext=system_u:system_r:netutils_t:s0 tcontext=system_u:object_r:usbmon_device_t:s0 tclass=chr_file
----
time->Mon May 17 19:03:29 2010
type=SYSCALL msg=audit(1274137409.217:163827): arch=40000003 syscall=5 success=no exit=-13 a0=bfc657cc a1=8000 a2=0 a3=9dfd930 items=0 ppid=6737 pid=2458 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="tcpdump" exe="/usr/sbin/tcpdump" subj=system_u:system_r:netutils_t:s0 key=(null)
type=AVC msg=audit(1274137409.217:163827): avc:  denied  { read } for  pid=2458 comm="tcpdump" name="usbmon2" dev=devtmpfs ino=5130 scontext=system_u:system_r:netutils_t:s0 tcontext=system_u:object_r:usbmon_device_t:s0 tclass=chr_file
----
time->Mon May 17 19:03:29 2010
type=SYSCALL msg=audit(1274137409.217:163828): arch=40000003 syscall=5 success=no exit=-13 a0=bfc657cc a1=8000 a2=0 a3=9dfd930 items=0 ppid=6737 pid=2458 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="tcpdump" exe="/usr/sbin/tcpdump" subj=system_u:system_r:netutils_t:s0 key=(null)
type=AVC msg=audit(1274137409.217:163828): avc:  denied  { read } for  pid=2458 comm="tcpdump" name="usbmon3" dev=devtmpfs ino=5138 scontext=system_u:system_r:netutils_t:s0 tcontext=system_u:object_r:usbmon_device_t:s0 tclass=chr_file
----
time->Mon May 17 19:03:29 2010
type=SYSCALL msg=audit(1274137409.217:163829): arch=40000003 syscall=5 success=no exit=-13 a0=bfc657cc a1=8000 a2=0 a3=9dfd930 items=0 ppid=6737 pid=2458 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="tcpdump" exe="/usr/sbin/tcpdump" subj=system_u:system_r:netutils_t:s0 key=(null)
type=AVC msg=audit(1274137409.217:163829): avc:  denied  { read } for  pid=2458 comm="tcpdump" name="usbmon4" dev=devtmpfs ino=5146 scontext=system_u:system_r:netutils_t:s0 tcontext=system_u:object_r:usbmon_device_t:s0 tclass=chr_file
----
time->Mon May 17 19:03:29 2010
type=SYSCALL msg=audit(1274137409.217:163830): arch=40000003 syscall=5 success=no exit=-13 a0=bfc657cc a1=8000 a2=0 a3=9dfd930 items=0 ppid=6737 pid=2458 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="tcpdump" exe="/usr/sbin/tcpdump" subj=system_u:system_r:netutils_t:s0 key=(null)
type=AVC msg=audit(1274137409.217:163830): avc:  denied  { read } for  pid=2458 comm="tcpdump" name="usbmon5" dev=devtmpfs ino=5154 scontext=system_u:system_r:netutils_t:s0 tcontext=system_u:object_r:usbmon_device_t:s0 tclass=chr_file
----
time->Mon May 17 19:03:29 2010
type=SYSCALL msg=audit(1274137409.217:163831): arch=40000003 syscall=5 success=no exit=-13 a0=bfc657cc a1=8000 a2=0 a3=9dfd930 items=0 ppid=6737 pid=2458 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="tcpdump" exe="/usr/sbin/tcpdump" subj=system_u:system_r:netutils_t:s0 key=(null)
type=AVC msg=audit(1274137409.217:163831): avc:  denied  { read } for  pid=2458 comm="tcpdump" name="usbmon6" dev=devtmpfs ino=5162 scontext=system_u:system_r:netutils_t:s0 tcontext=system_u:object_r:usbmon_device_t:s0 tclass=chr_file
----
time->Mon May 17 19:03:29 2010
type=SYSCALL msg=audit(1274137409.217:163832): arch=40000003 syscall=5 success=no exit=-13 a0=bfc657cc a1=8000 a2=0 a3=9dfd930 items=0 ppid=6737 pid=2458 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="tcpdump" exe="/usr/sbin/tcpdump" subj=system_u:system_r:netutils_t:s0 key=(null)
type=AVC msg=audit(1274137409.217:163832): avc:  denied  { read } for  pid=2458 comm="tcpdump" name="usbmon7" dev=devtmpfs ino=5170 scontext=system_u:system_r:netutils_t:s0 tcontext=system_u:object_r:usbmon_device_t:s0 tclass=chr_file
----
time->Mon May 17 19:03:29 2010
type=SYSCALL msg=audit(1274137409.217:163833): arch=40000003 syscall=5 success=no exit=-13 a0=bfc657cc a1=8000 a2=0 a3=9dfd930 items=0 ppid=6737 pid=2458 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="tcpdump" exe="/usr/sbin/tcpdump" subj=system_u:system_r:netutils_t:s0 key=(null)
type=AVC msg=audit(1274137409.217:163833): avc:  denied  { read } for  pid=2458 comm="tcpdump" name="usbmon8" dev=devtmpfs ino=5178 scontext=system_u:system_r:netutils_t:s0 tcontext=system_u:object_r:usbmon_device_t:s0 tclass=chr_file
----
time->Mon May 17 19:03:29 2010
type=SYSCALL msg=audit(1274137409.217:163834): arch=40000003 syscall=5 success=no exit=-13 a0=9b8335 a1=8000 a2=1b6 a3=9b8496 items=0 ppid=6737 pid=2458 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="tcpdump" exe="/usr/sbin/tcpdump" subj=system_u:system_r:netutils_t:s0 key=(null)
type=AVC msg=audit(1274137409.217:163834): avc:  denied  { read } for  pid=2458 comm="tcpdump" name="dev" dev=proc ino=4026531965 scontext=system_u:system_r:netutils_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file
----
time->Mon May 17 19:03:30 2010
type=SYSCALL msg=audit(1274137410.227:163836): arch=40000003 syscall=5 success=no exit=-13 a0=9b8335 a1=8000 a2=1b6 a3=9b8496 items=0 ppid=6737 pid=2458 auid=4294967295 uid=72 gid=72 euid=72 suid=72 fsuid=72 egid=72 sgid=72 fsgid=72 tty=(none) ses=4294967295 comm="tcpdump" exe="/usr/sbin/tcpdump" subj=system_u:system_r:netutils_t:s0 key=(null)
type=AVC msg=audit(1274137410.227:163836): avc:  denied  { read } for  pid=2458 comm="tcpdump" name="dev" dev=proc ino=4026531965 scontext=system_u:system_r:netutils_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file
----
time->Mon May 17 19:03:31 2010
type=SYSCALL msg=audit(1274137411.228:163837): arch=40000003 syscall=5 success=no exit=-13 a0=9b8335 a1=8000 a2=1b6 a3=9b8496 items=0 ppid=6737 pid=2458 auid=4294967295 uid=72 gid=72 euid=72 suid=72 fsuid=72 egid=72 sgid=72 fsgid=72 tty=(none) ses=4294967295 comm="tcpdump" exe="/usr/sbin/tcpdump" subj=system_u:system_r:netutils_t:s0 key=(null)
type=AVC msg=audit(1274137411.228:163837): avc:  denied  { read } for  pid=2458 comm="tcpdump" name="dev" dev=proc ino=4026531965 scontext=system_u:system_r:netutils_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file
----
time->Mon May 17 19:03:33 2010
type=SYSCALL msg=audit(1274137413.228:163839): arch=40000003 syscall=5 success=no exit=-13 a0=9b8335 a1=8000 a2=1b6 a3=9b8496 items=0 ppid=6737 pid=2458 auid=4294967295 uid=72 gid=72 euid=72 suid=72 fsuid=72 egid=72 sgid=72 fsgid=72 tty=(none) ses=4294967295 comm="tcpdump" exe="/usr/sbin/tcpdump" subj=system_u:system_r:netutils_t:s0 key=(null)
type=AVC msg=audit(1274137413.228:163839): avc:  denied  { read } for  pid=2458 comm="tcpdump" name="dev" dev=proc ino=4026531965 scontext=system_u:system_r:netutils_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file
----
time->Mon May 17 19:03:34 2010
type=SYSCALL msg=audit(1274137414.228:163840): arch=40000003 syscall=5 success=no exit=-13 a0=9b8335 a1=8000 a2=1b6 a3=9b8496 items=0 ppid=6737 pid=2458 auid=4294967295 uid=72 gid=72 euid=72 suid=72 fsuid=72 egid=72 sgid=72 fsgid=72 tty=(none) ses=4294967295 comm="tcpdump" exe="/usr/sbin/tcpdump" subj=system_u:system_r:netutils_t:s0 key=(null)
type=AVC msg=audit(1274137414.228:163840): avc:  denied  { read } for  pid=2458 comm="tcpdump" name="dev" dev=proc ino=4026531965 scontext=system_u:system_r:netutils_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file
----
time->Mon May 17 19:03:32 2010
type=SYSCALL msg=audit(1274137412.228:163838): arch=40000003 syscall=5 success=no exit=-13 a0=9b8335 a1=8000 a2=1b6 a3=9b8496 items=0 ppid=6737 pid=2458 auid=4294967295 uid=72 gid=72 euid=72 suid=72 fsuid=72 egid=72 sgid=72 fsgid=72 tty=(none) ses=4294967295 comm="tcpdump" exe="/usr/sbin/tcpdump" subj=system_u:system_r:netutils_t:s0 key=(null)
type=AVC msg=audit(1274137412.228:163838): avc:  denied  { read } for  pid=2458 comm="tcpdump" name="dev" dev=proc ino=4026531965 scontext=system_u:system_r:netutils_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file
/bin/grep avc: /tmp/dmesg.log | /bin/grep --invert-match granted
No AVC messages found in dmesg
Comment 2 RHEL Product and Program Management 2010-06-07 12:08:31 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Ian Kent 2010-06-10 02:41:53 EDT
Seems I assigned this to autofs by accident accident.
Please have a look at this.
Comment 4 Daniel Walsh 2010-06-10 08:43:32 EDT
Miroslav add



dev_read_usbmon_dev(netutils_t)
kernel_read_network_state(netutils_t)
kernel_request_load_module(netutils_t)
Comment 5 Miroslav Grepl 2010-06-16 07:26:14 EDT
Fixed in selinux-policy-3.7.19-25.el6.noarch
Comment 9 Daniel Walsh 2010-07-12 11:47:50 EDT
Miroslav add

dev_write_usbmon_dev(netutils_t)
dev_read_generic_usb_dev(netutils_t)
dev_write_generic_usb_dev(netutils_t)

########################################
## <summary>
##	Write USB monitor devices.
## </summary>
## <param name="domain">
##	<summary>
##	Domain allowed access.
##	</summary>
## </param>
#
interface(`dev_write_usbmon_dev',`
	gen_require(`
		type device_t, usbmon_device_t;
	')

	write_chr_files_pattern($1, device_t, usbmon_device_t)
')
Comment 10 Miroslav Grepl 2010-07-14 10:25:08 EDT
Fixed in selinux-policy-3.7.19-32.el6.noarch
Comment 12 releng-rhel@redhat.com 2010-11-10 16:34:26 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.